# Class CSSPropertyTabTextMinimumCharactersSWTHandler

java.lang.Object
org.eclipse.e4.ui.css.swt.properties.AbstractCSSPropertySWTHandler
org.eclipse.e4.ui.css.swt.properties.custom.CSSPropertyTabTextMinimumCharactersSWTHandler

All Implemented Interfaces:
  `ICSSPropertyHandler`

public class CSSPropertyTabTextMinimumCharactersSWTHandler extends AbstractCSSPropertySWTHandler
CSS property to influence the minimum number of characters for rendering tab text and size Can be used in CSS Scratch Pad with the property name "swt-tab-text-minimum-characters", for example: CTabFolder { swt-tab-text-minimum-characters: 20 } Default value for the property is 1.

## Constructor Summary

Constructors
Constructor
Description
`CSSPropertyTabTextMinimumCharactersSWTHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`applyCSSProperty(Control control, String property, CSSValue value, String pseudo, CSSEngine engine)`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the SWT `control` (ex : SWT Text, SWT Label).
`protected String`
`retrieveCSSProperty(Control control, String property, String pseudo, CSSEngine engine)`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the SWT `control` (ex : SWT Text, SWT Label).

### Methods inherited from class AbstractCSSPropertySWTHandler

`applyCSSProperty, retrieveCSSProperty`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ICSSPropertyHandler

`onAllCSSPropertiesApplied, onAllCSSPropertiesApplied`

## Constructor Details

### CSSPropertyTabTextMinimumCharactersSWTHandler

public CSSPropertyTabTextMinimumCharactersSWTHandler()

## Method Details

### applyCSSProperty

protected void applyCSSProperty(Control control, String property, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from class: `AbstractCSSPropertySWTHandler`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the SWT `control` (ex : SWT Text, SWT Label).

Specified by:
  `applyCSSProperty` in class `AbstractCSSPropertySWTHandler`
Parameters:
  `control` - SWT control to change
  `property` - CSS Property
  `value` - CSS value
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Throws:
  `Exception` - if applying CSS failed

### retrieveCSSProperty

protected String retrieveCSSProperty(Control control, String property, String pseudo, CSSEngine engine) throws Exception
Description copied from class: `AbstractCSSPropertySWTHandler`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the SWT `control` (ex : SWT Text, SWT Label).

Specified by:
  `retrieveCSSProperty` in class `AbstractCSSPropertySWTHandler`
Parameters:
  `control` - SWT control to change
  `property` - CSS Property
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  retrieved CSS properties or `null`
Throws:
  `Exception` - if retrieving CSS failed